Skip to main content
GET
PHP

Authorizations

Authorization
string
header
required

Default authentication mechanism

Query Parameters

type
enum<string>

Filter the list of commissions by type. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: sale, sale,lead, -click.

Available options:
click,
lead,
sale,
referral,
custom
customerId
string

Filter the list of commissions by the associated customer.

payoutId
string

Filter the list of commissions by the associated payout.

partnerId
string

Filter the list of commissions by the associated partner. When specified, takes precedence over tenantId. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: partner_abc, partner_abc,partner_xyz, -partner_abc.

tenantId
string

Filter the list of commissions by the associated partner's tenantId (their unique ID within your database).

groupId
string

Filter the list of commissions by the associated partner group. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: group_abc, group_abc,group_xyz, -group_abc.

partnerTagId
string

Filter the list of commissions by the associated partner tag. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: ptag_abc, ptag_abc,ptag_xyz, -ptag_abc.

invoiceId
string

Filter the list of commissions by the associated invoice. Since invoiceId is unique on a per-program basis, this will only return one commission per invoice.

status
enum<string>

Filter the list of commissions by their corresponding status.

Available options:
pending,
processed,
paid,
refunded,
duplicate,
fraud,
canceled,
hold
sortBy
enum<string>
default:createdAt

The field to sort the list of commissions by.

Available options:
createdAt,
amount
sortOrder
enum<string>
default:desc

The sort order for the list of commissions.

Available options:
asc,
desc
interval
enum<string>
default:all

The interval to retrieve commissions for.

Available options:
24h,
7d,
30d,
90d,
1y,
mtd,
qtd,
ytd,
all
start
string

The start date of the date range to filter the commissions by.

end
string

The end date of the date range to filter the commissions by.

timezone
string
endingBefore
string

If specified, the query only searches for results before this cursor. Mutually exclusive with startingAfter.

Example:

"cm_1KAP4CGN2Z5TPYYQ1W4JEYD56"

startingAfter
string

If specified, the query only searches for results after this cursor. Mutually exclusive with endingBefore.

Example:

"cm_1KAP4CGN2Z5TPYYQ1W4JEYD56"

page
integer
deprecated

DEPRECATED. Use startingAfter instead.

Required range: x <= 9007199254740991
Example:

1

pageSize
integer
default:100

The number of items per page.

Required range: x <= 100
Example:

50

Response

The list of commissions.

id
string
required

The commission's unique ID on Dub.

Example:

"cm_1JVR7XRCSR0EDBAF39FZ4PMYE"

type
enum<string>
required

The type of commission. Can be click, lead, sale, referral, or custom.

Available options:
click,
lead,
sale,
referral,
custom
amount
number
required

The associated event amount in cents. For sale commissions, this is the sale amount.

earnings
number
required

The amount earned by the partner, in cents.

currency
string
required

The currency of the commission, as an ISO 4217 currency code.

status
enum<string>
required

The current status of the commission.

Available options:
pending,
processed,
paid,
refunded,
duplicate,
fraud,
canceled,
hold
invoiceId
string | null
required

The associated invoice ID. Only set for sale commissions.

description
string | null
required

An optional description of the commission.

quantity
number
required

The event quantity. Used for click and lead commissions; typically 1 for sale and custom commissions.

metadata
object | null
required

User-provided metadata from the associated lead or sale event (lead.metadata / sale.metadata).

createdAt
string
required

The date and time when the commission was created.

updatedAt
string
required

The date and time when the commission was last updated.

paidAt
string | null
required

The date the commission was paid out to the partner. Null if not paid yet.

partner
object
required
userId
string | null

The user who created the manual commission.

customer
object | null